Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> General >> PHP-Nuke sql_debug Information Disclosure


Vulnerability Assessment Details

PHP-Nuke sql_debug Information Disclosure

Vulnerability Assessment Summary
Make a request like http://www.example.com/?sql_debug=1

Detailed Explanation for this Vulnerability Assessment

In PHP-Nuke, the sql_layer.php script contains a debugging feature
that may be used by attackers to disclose sensitive information about all SQL
queries.
Access to the debugging feature is not restricted to administrators.

Solution : Add '$sql_debug = 0
' in config.php.

Network Security Threat Level: Low

Networks Security ID: 3906

Vulnerability Assessment Copyright: This script is Copyright (C) 2002 Alert4Web.com

Cables, Connectors

Vintage Atari 1050 Dual Density Disk Drive
$49.99
Vintage Atari 1050 Dual Density Disk Drive pictureAtari 410 Program Recorder (For Atari 400/800) #2
$34.99
Atari 410 Program Recorder (For Atari 400/800) #2 pictureAtari 410 Program Recorder (For Atari 400/800)
$34.99
Atari 410 Program Recorder (For Atari 400/800) pictureVintage Bill Budge Pinball Construction Set Atari 400/800 1200XL Computer Game
$14.0
Vintage Bill Budge Pinball Construction Set Atari 400/800 1200XL Computer Game picture


Discussions

No Discussions have been posted on this vulnerability.